/*! \file */

#ifndef KMPM_H
#define KMPM_H

//Declarations of auxiliary and/or exported functions...
static void KMPM_calcEfficiency(ZMPM_IO* pOWN);
static void KMPM_checkUA(ZMPM_IO* pOWN,ZSEQ2_IO* pSEQ2);
static void KMPM_checkUAF_Overvoltage(ZMPM_IO* pOWN);
static void KMPM_checkUAF_Undervoltage(ZMPM_IO* pOWN, ZSEQ2_IO* pSEQ2);
static void KMPM_calcVarTimeForUndervoltage(ZMPM_IO* pOWN);
static void KMPM_checkUAF_1PhaseEarth(ZMPM_IO* pOWN);
static void KMPM_checkUAF_Fuse(ZMPM_IO* pOWN, ZSEQ2_IO* pSEQ2);
static void KMPM_checkFA(ZMPM_IO* pOWN);
static void KMPM_checkSynchA(ZMPM_IO* pOWN);
static void KMPM_checkUB(ZMPM_IO* pOWN,ZSEQ2_IO* pSEQ2, ZCCS_IO* pCCS);
static void KMPM_checkUBF_Overvoltage(ZMPM_IO* pOWN);
static void KMPM_checkUBF_Undervoltage(ZMPM_IO* pOWN);
static void KMPM_checkIB(ZMPM_IO* pOWN,ZCCS_IO* pCCS);
static void KMPM_checkFB(ZMPM_IO* pOWN,bool releaseUEB);
static void KMPM_checkSynchB(ZMPM_IO* pOWN);
static void KMPM_controlPLL_A(ZMPM_IO* pOWN, ZSEQ_IO* pSEQ, ZREF_IO* pREF);
static void KMPM_controlPLL_B(ZMPM_IO* pOWN, ZSEQ_IO* pSEQ, ZREF_IO* pREF);
static void KMPM_prepareIPC1(ZMPM_IO* pOWN);
static void KMPM_readIPC1(ZMPM_IO* pOWN);
static void KMPM_prepareIPC2(ZMPM_IO* pOWN);
static void KMPM_readIPC2(ZMPM_IO* pOWN);
static void KMPM_readPerCommands_A(ZMPM_IO* pOWN, uint16 ica);
static void KMPM_readPerCommands_B(ZMPM_IO* pOWN, uint16 icb, ZSEQ_IO* pSEQ, ZREF_IO* pREF);

static void KMPM_initTimer(ZMPM_IO* pOWN);
static void KMPM_initFaultCategories(ZMPM_IO* pOWN);
static void KMPM_initFaultCategories_UAN(ZMPM_IO* pOWN);
static void KMPM_initFaultCategories_UAF(ZMPM_IO* pOWN);
static void KMPM_initFaultCategories_IA(ZMPM_IO* pOWN);
static void KMPM_initFaultCategories_FA(ZMPM_IO* pOWN);
static void KMPM_initFaultCategories_UBN(ZMPM_IO* pOWN);
static void KMPM_initFaultCategories_UBF(ZMPM_IO* pOWN);
static void KMPM_initFaultCategories_IB(ZMPM_IO* pOWN);
static void KMPM_initFaultCategories_FB(ZMPM_IO* pOWN);
#endif
